IcedTea-Web NetX

## net.sourceforge.jnlp
Class ShortcutDesc

    java.lang.Object
      net.sourceforge.jnlp.ShortcutDesc

    public final class ShortcutDesc

extends java.lang.Object

Field Summary
`static java.lang.String` `CREATE_ALWAYS` Always create a shortcut
`static java.lang.String` `CREATE_ALWAYS_IF_HINTED` Create a desktop shortcut without prompting if the jnlp asks for it
`static java.lang.String` `CREATE_ASK_USER` Always ask user whether to create a shortcut
`static java.lang.String` `CREATE_ASK_USER_IF_HINTED` Ask user whether to create a shortcut but only if jnlp file asks for it
`static java.lang.String` `CREATE_NEVER` Never create a shortcut

Constructor Summary
`ShortcutDesc(boolean requiresOnline, boolean onDesktop)` Create a new Shortcut descriptor

Method Summary
`void` `addMenu(MenuDesc menu)` Add a shortcut to the 'start menu' (whatever that means on gnome/kde/other ...)
`MenuDesc` `getMenu()` Returns the menu this shortcut should be added to
`boolean` `isOnline()` Returns whether the shortcut requires being online
`boolean` `onDesktop()` Return whether the shortcut should be placed on the desktop

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CREATE_NEVER

    public static final java.lang.String CREATE_NEVER

  Never create a shortcut

  See Also:
    Constant Field Values

### CREATE_ALWAYS

    public static final java.lang.String CREATE_ALWAYS

  Always create a shortcut

  See Also:
    Constant Field Values

### CREATE_ASK_USER

    public static final java.lang.String CREATE_ASK_USER

  Always ask user whether to create a shortcut

  See Also:
    Constant Field Values

### CREATE_ASK_USER_IF_HINTED

    public static final java.lang.String CREATE_ASK_USER_IF_HINTED

  Ask user whether to create a shortcut but only if jnlp file asks for it

  See Also:
    Constant Field Values

### CREATE_ALWAYS_IF_HINTED

    public static final java.lang.String CREATE_ALWAYS_IF_HINTED

  Create a desktop shortcut without prompting if the jnlp asks for it

  See Also:
    Constant Field Values

Constructor Detail

### ShortcutDesc

    public ShortcutDesc(boolean requiresOnline,
                        boolean onDesktop)

  Create a new Shortcut descriptor

  Parameters:
    `requiresOnline` - whether the shortcut requires connectivity
    `onDesktop` - whether the shortcut wants to be placed on the desktop

Method Detail

### isOnline

    public boolean isOnline()

  Returns whether the shortcut requires being online

### onDesktop

    public boolean onDesktop()

  Return whether the shortcut should be placed on the desktop

### addMenu

    public void addMenu(MenuDesc menu)

  Add a shortcut to the 'start menu' (whatever that means on gnome/kde/other ...)

  Parameters:
    `menu` - if/what menu this shortcut should be added to

### getMenu

    public MenuDesc getMenu()

  Returns the menu this shortcut should be added to

IcedTea-Web NetX

Submit a bug or feature